<div class="header">
  <div>
    <img class="logo" [attr.src]="server+world.logo" />
    <!-- Le logo reprend déjà clairement le nom du monde
        <span id="worldname"> {{world.name}} </span> !-->
  </div>
  <div>
    <span [innerHTML]="world.money"></span>
    <span> euros</span>
  </div>
  <div>
    <button mat-raised-button (click)="changeQMulti()">Quantité : {{qtmulti}}</button>
  </div>
  <div>
    <input type="text" [(ngModel)]="username" (change)="onUsernameChanged()" />
  </div>
</div>

<div class="main">
  <mat-nav-list>
    <mat-list-item>
      <button
            mat-raised-button
            (click)="showUnlocks =! showUnlocks"
      >
            Unlocks
          </button>
      <mat-icon mat-list-icon>vpn_key</mat-icon>
    </mat-list-item>
    <mat-list-item>
      <button
            mat-raised-button
            [matBadge]="badgeUpgrades"
            [matBadgeHidden]="badgeUpgrades == 0"
            (click)="showCashUpgrades = !showCashUpgrades"
          >
            Cash Upgrades
          </button>
      <mat-icon mat-list-icon>attach_money</mat-icon>
    </mat-list-item>
    <mat-list-item>
      <button
            mat-raised-button
            [matBadge]="badgeAngelUpgrades"
            [matBadgeHidden]="badgeAngelUpgrades == 0"
            (click)="showAngelUpgrades =! showAngelUpgrades"
          >
            Angel Upgrades
          </button>
      <mat-icon mat-list-icon>face</mat-icon>
    </mat-list-item>
    <mat-list-item>
      <button mat-raised-button
color="primary"
[matBadge]="badgeManagers"
[matBadgeHidden]="badgeManagers==0"
(click)="showManagers = !showManagers">
 Managers
</button>
      <mat-icon mat-list-icon>perm_identity</mat-icon>
    </mat-list-item>
    <mat-list-item>
      <button
            mat-raised-button
            (click)="showInvestors = !showInvestors"
          >
            Investors
          </button>
      <mat-icon mat-list-icon>account_balance</mat-icon>
    </mat-list-item>
  </mat-nav-list>
  <mat-card>
  <app-product [prod]="produit" *ngFor="let produit of world.products.product" (notifyProduction)="onProductionDone($event)"
    (notifyBuy)="onBuy($event)" [server]="server" [qtmulti]="qtmulti" [money]="world.money" class="product col-md-6">
  </app-product>
</mat-card>
  <div *ngIf="showManagers" class="modal">
    <div>
      <h1 class="title">Managers</h1>
    </div>
    <div>
      <div *ngFor="let manager of world.managers.pallier">
        <div *ngIf="!manager.unlocked" class="managerslayout">
          <div>
            <div class="logo">
              <div class="logo"><img class="round" [attr.src]="server+manager.logo" /> </div>
            </div>
          </div>
          <div>
            <div class="managername">{{ manager.name }}</div>
            <div class="managercible">
              {{ world.products.product[manager.idcible - 1].name }}
            </div>
            <div class="managercost">{{ manager.seuil }}</div>
          </div>
          <div>
            <button class="hirebutton" mat-raisedbutton (click)="hireManager(manager)"
              [disabled]="manager.seuil > world.money">
              Hire !
            </button>
          </div>
        </div>
      </div>
      <button class="closebutton" mat-raisedbutton color="primary" (click)="showManagers = !showManagers">
        Close
      </button>
    </div>
  </div>
  <div *ngIf="showInvestors" class="modal">
    <div>
      <h1 class="title">Angel investors</h1>
    </div>
    <div>
      <div class="two">
        <button class="angelbutton" mat-raised-button (click)="redemarrerWorld()">
          Recommencer la partie 
        </button>
      </div>
    </div>
  </div>
  <div *ngIf="showCashUpgrades" class="modal">
    <div>
      <h1 class="title">Cash upgrades</h1>
    </div>
    <div>
      <div *ngFor="let upgrade of world.upgrades.pallier">
        <div *ngIf="!upgrade.unlocked" class="managerslayout">
          <div class="one">
            <img class="round" [attr.src]="server + upgrade.logo" />
          </div>

          <div class="two">
            <b>Upgrade : </b>{{ upgrade.name }} <br />
            <b>Produit : </b
            >{{ world.products.product[upgrade.idcible - 1].name }}
            <br />
            <b>Ratio : </b>{{ upgrade.typeratio }} x {{ upgrade.ratio }}<br />
            <b>Coût : </b><span [innerHtml]="upgrade.seuil"></span>
            <br />

            <button
              class="upgradebutton"
              mat-raised-button
              (click)="buyUpgrade(upgrade)"
              [disabled]="upgrade.seuil > world.money"
            >
              Acheter !
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div *ngIf="showUnlocks" class="modal">
    <div>
      <h1 class="title">Unlocks</h1>
    </div>
    <div>
      <div *ngFor="let product of world.products.product">
        <div *ngFor="let unlock of product.palliers.pallier">
          <div *ngIf="!unlock.unlocked" class="managerslayout">
            <div class="one">
              <img class="round" [attr.src]="server + unlock.logo" />
            </div>

            <div class="two">
              <b>Unlock : </b>{{ unlock.name }}<br />
              <b>Produit : </b
              >{{ world.products.product[unlock.idcible - 1].name }}
              <br />
              <b>Ratio : </b>{{ unlock.typeratio }} x {{ unlock.ratio }} <br />
              <b>Seuil : </b>{{ unlock.seuil }}<br />
            </div>
          </div>
        </div>
      </div>
      <div *ngFor="let unlock of world.allunlocks.pallier">
        <div *ngIf="!unlock.unlocked" class="managerslayout">
          <div class="one">
            <img class="round" [attr.src]="server+unlock.logo" />
          </div>

          <div class="two">
            <b>Unlock : </b>{{ unlock.name }}<br />
            <b>Ratio : </b>{{ unlock.typeratio }} x {{ unlock.ratio }} <br />
            <b>Seuil : </b>{{ unlock.seuil }}<br />
          </div>
        </div>
      </div>
    </div>
  </div>
  <div *ngIf="showAngelUpgrades" class="modal">
    <div>
      <h1 class="title">Angel upgrades</h1>
    </div>
    <div>
      <div *ngFor="let angelUpgrade of world.angelupgrades.pallier">
        <div *ngIf="!angelUpgrade.unlocked" class="managerslayout">
          <div class="one">
            <img class="round" [attr.src]="server + angelUpgrade.logo" />
          </div>

          <div class="two">
            <b>Ange : </b>{{ angelUpgrade.name }} <br />
            <span *ngIf="angelUpgrade.idcible == -1">
              +{{ angelUpgrade.ratio }}%
            </span>
            <span *ngIf="angelUpgrade.idcible == 0">
              Tous les profits x{{ angelUpgrade.ratio }}
            </span>
            <span *ngIf="angelUpgrade.idcible > 0"
              >{{ world.products.product[angelUpgrade.idcible - 1].name }} +{{
                angelUpgrade.ratio
              }} </span
            ><br />
            <b>Prix : </b
            ><span [innerHtml]="angelUpgrade.seuil"></span> <br />

            <button
              mat-raised-button
              (click)="buyAngelUpgrade(angelUpgrade)"
              [disabled]="angelUpgrade.seuil > world.money"
            >
              Acheter !
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>